package com.sd.business.service.order;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.board.vo.TurnoverRateStatisticsVo;
import com.sd.business.entity.order.po.OrderSalesShipmentStatistics;
import com.sd.business.entity.order.vo.OrderSalesShipmentStatisticsVo;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 订单销售出库统计 服务类
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
public interface OrderSalesShipmentStatisticsService extends BaseService<OrderSalesShipmentStatistics> {

    /**
     * 根据时间段获取销售出库数量统计
     * @param beginDate
     * @param endDate
     * @return
     */
    List<OrderSalesShipmentStatisticsVo> getSalesShipmentStatisticsByDate(Date beginDate, Date endDate);

    /**
     * 获取周转率数据列表
     *
     * @return
     */
    List<TurnoverRateStatisticsVo> getTurnoverRateStatisticsList();

    /**
     * 销售出库统计任务
     */
    void salesShipmentStatistics();
}
